POST gls/api/reports/acct-project-client-spread
Request Information
URI Parameters
None.
Body Parameters
AcctProjectClientSpreadRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ProcessMonth | integer |
None. |
|
| ProcessYear | integer |
None. |
|
| AuxCodeFrom | string |
None. |
|
| AuxCodeTo | string |
None. |
|
| AccountCodeFrom | string |
None. |
|
| AccountCodeTo | string |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"processMonth": 1,
"processYear": 2,
"auxCodeFrom": "sample string 3",
"auxCodeTo": "sample string 4",
"accountCodeFrom": "sample string 5",
"accountCodeTo": "sample string 6",
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<AcctProjectClientSpreadRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <AccountCodeFrom>sample string 5</AccountCodeFrom> <AccountCodeTo>sample string 6</AccountCodeTo> <AuxCodeFrom>sample string 3</AuxCodeFrom> <AuxCodeTo>sample string 4</AuxCodeTo> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <ProcessMonth>1</ProcessMonth> <ProcessYear>2</ProcessYear> <UserId>1</UserId> </AcctProjectClientSpreadRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.